Loading...
Searching...
No Matches
DetectionData Struct Reference

`#include <effects/ObjectDetection.h>`

## Public Member Functions

| DetectionData ()
| DetectionData (std::vector< int > _classIds, std::vector< float > _confidences, std::vector< cv::Rect_< float > > _boxes, size_t _frameId, std::vector< int > _objectIds)

## Public Attributes

std::vector< cv::Rect_< float > > | boxes
std::vector< int > | classIds
std::vector< float > | confidences
size_t | frameId
std::vector< int > | objectIds

## Detailed Description

Definition at line 27 of file ObjectDetection.h.

## Constructor & Destructor Documentation

## DetectionData() [1/2]

DetectionData::DetectionData | ( |  | ) |

inline

Definition at line 28 of file ObjectDetection.h.

## DetectionData() [2/2]

DetectionData::DetectionData | ( | std::vector< int > | _classIds,
|  | std::vector< float > | _confidences,
|  | std::vector< cv::Rect_< float > > | _boxes,
|  | size_t | _frameId,
|  | std::vector< int > | _objectIds )

inline

Definition at line 29 of file ObjectDetection.h.

## Member Data Documentation

## boxes

std::vector<cv::Rect_<float> > DetectionData::boxes

Definition at line 45 of file ObjectDetection.h.

Referenced by DetectionData(), openshot::ObjectDetection::GetFrame(), and openshot::ObjectDetection::GetVisibleObjects().

## classIds

std::vector<int> DetectionData::classIds

Definition at line 43 of file ObjectDetection.h.

Referenced by DetectionData(), openshot::ObjectDetection::GetFrame(), and openshot::ObjectDetection::GetVisibleObjects().

## confidences

std::vector<float> DetectionData::confidences

Definition at line 44 of file ObjectDetection.h.

Referenced by DetectionData(), openshot::ObjectDetection::GetFrame(), and openshot::ObjectDetection::GetVisibleObjects().

## frameId

size_t DetectionData::frameId

Definition at line 42 of file ObjectDetection.h.

Referenced by DetectionData().

## objectIds

std::vector<int> DetectionData::objectIds

Definition at line 46 of file ObjectDetection.h.

Referenced by DetectionData(), openshot::ObjectDetection::GetFrame(), and openshot::ObjectDetection::GetVisibleObjects().

The documentation for this struct was generated from the following file:

- effects/ObjectDetection.h